@import url('/src/styles/styles.less');

.card_mixins() {
    padding: 0.5em 1.3em;
    border: 1px solid @gray-6;
    border-radius: .5em;
}

.action-button(@color: @blue-5, @hover-color: @blue-4 , @active-color: @blue-6) {
    color: @color;
    transition: background-color 1s, color 1s, opacity .4s;

    &:hover {
        border: 1px solid @hover-color;
        color: white;
        background-color: @active-color;
    }

    &:active {
        opacity: 0.4;
    }

}


.info-card-mixins() {

    display: flex;
    flex-direction: column;
    width: clamp(60%, 800px, 85%);
    border: 1px solid @gray-6;
    align-items: center;
    margin: 2em 1em;
    padding: 0 0 .8em 0;

    .title {
        color: @blue-6;
        font-weight: bold;
        font-size: 1.3em;
        margin: 1em 2em;
    }

    .field-container {
        display: flex;
        gap: 1em;

        .field-name {
            //color: @gray-8;
            font-weight: bold;
        }
    }
}